Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006809OCaml-for ocamlbuild use https://github.com/ocaml/ocamlbuild/issuespublic2015-03-11 16:442017-02-16 15:15
Reporterchambart 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0+dev / +beta1 
Target Version4.03.0+dev / +beta1Fixed in Version4.02.2+dev / +rc1 
Summary0006809: ocamlbuild pass too many (or not enough) arguments to ocamlfind for compiling C sources
DescriptionWhen building core 112.17.00:

with ocamlbuild from OCaml 4.02.1:
$ ocamlbuild -use-ocamlfind -classic-display lib/bigstring_stubs.o
  /home/chambart/.opam/4.02.1/bin/ocamlfind ocamlc -I lib -package core_kernel -c lib/bigstring_stubs.c

with ocamlbuild from trunk:
$ ocamlbuild -use-ocamlfind -classic-display lib/bigstring_stubs.o
  /home/chambart/.opam/4.03.0+trunk/bin/ocamlfind ocamlc -I lib -package core_kernel -package variantslib.syntax -package variantslib -package unix -package typerep_lib.syntax -package typerep_lib -package threads -package sexplib_unix -package sexplib.syntax -package sexplib -package pa_test.syntax -package pa_test -package pa_pipebang -package pa_ounit.syntax -package pa_ounit -package pa_bench.syntax -package pa_bench -package herelib.syntax -package herelib -package fieldslib.syntax -package fieldslib -package enumerate.syntax -package custom_printf.syntax -package custom_printf -package core_kernel -package comparelib.syntax -package bin_prot.syntax -package bin_prot -package bigarray -c -o lib/bigstring_stubs.o lib/bigstring_stubs.c
  ocamlfind: Error from package `threads': Missing -thread or -vmthread switch
TagsNo tags attached.
Attached Files

- Relationships
related to 0006794closeddim ocamlbuild should pass -package flags when building C files 

-  Notes
(0013448)
dim (developer)
2015-03-11 17:16

6794 added support for passing -package and -thread options to ocamlfind for C files.

oasis automatically adds "-thread" for ocaml files when they are flagged with "package(threads)". But it does it only for ocaml files and still flags C files with "package(X)" for every package, even though this is useless at the moment.

I guess this is more an oasis bug, but it will affect packages with C stubs using oasis and depending on threads. So it might be safer to revert 6794 from 4.02.2.
(0013453)
gasche (administrator)
2015-03-11 23:06

Reverted from 4.02.
(0013512)
doligez (administrator)
2015-03-18 15:05

Has anyone reported this to the oasis bug tracker?
(0013513)
dim (developer)
2015-03-18 15:34

I did, with a patch to fix it:

  https://github.com/ocaml/oasis/pull/61 [^]
(0013664)
gasche (administrator)
2015-04-11 10:02

I'm marking this "fixed": the oasis-breaking change is removed from the stable 4.02 branch, but still present in trunk. Thanks to Jérémie, oasis should work with trunk by the time of the 4.03 release.

- Issue History
Date Modified Username Field Change
2015-03-11 16:44 chambart New Issue
2015-03-11 16:44 chambart Status new => assigned
2015-03-11 16:44 chambart Assigned To => gasche
2015-03-11 17:07 dim Relationship added related to 0006794
2015-03-11 17:16 dim Note Added: 0013448
2015-03-11 23:06 gasche Note Added: 0013453
2015-03-18 15:05 doligez Note Added: 0013512
2015-03-18 15:05 doligez Target Version => 4.03.0+dev / +beta1
2015-03-18 15:34 dim Note Added: 0013513
2015-04-11 10:02 gasche Note Added: 0013664
2015-04-11 10:02 gasche Status assigned => resolved
2015-04-11 10:02 gasche Fixed in Version => 4.02.2+dev / +rc1
2015-04-11 10:02 gasche Resolution open => fixed
2015-07-17 12:34 doligez Summary ocamlbuild pass too many (or not enought) arguments to ocamlfind for compiling C sources => ocamlbuild pass too many (or not enough) arguments to ocamlfind for compiling C sources
2017-02-16 15:15 xleroy Status resolved => closed
2017-02-23 16:34 doligez Category OCamlbuild (the tool) => for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]
2017-02-23 16:44 doligez Category for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^] => -for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker